<?php
require_once 'connect.php';
require_once 'inc/usuario.php';

checkLogin('login.php');

// capturando o usuário e unidade logado
$usuario_list = getLoggedUser();
$id_usuario=$usuario_list['id'];
$id_unidade=$usuario_list['unidade'];

if ($_SERVER['REQUEST_METHOD'] === 'GET') {
  // 1. incluir o ws
  require_once 'inc/clientes.php';
  require_once 'inc/usuario.php';
  require_once 'inc/funcionalidade.php';
  // 2. verifica o usuário
  if (!checkLogin()) {
    $msg = array();
    $msg['error'] = 'Erro! Usuário não autorizado';
    header('Content-type: application/json');
    echo json_encode($msg);
    exit;
  }
}

    // 3. lê a chave
  if (isset($_GET['key'])) {
    $key = $_GET['key'];
    $msg = array();

    if($key!=""){
  // 4. consulta ao BD
      $sql = "select 1 from erpc_comanda where nr_comanda=? and st_comanda=1";
      $values = array($key);
      //echo $sql;
      $result = _prepareAndQuery($sql, $values, $error);
  
      // 5. tudo certo, mensagem de sucesso com um json com propriedade 'value' com o valor, tudo errado, mensagem de erro com um json com propriedade 'value' com um valor
      //    genérico e o erro na propriedade 'error'
      if ($result === false) {
        $msg['error'] = 'Erro! ' . $error;
      } else if (count($result) > 0) {
        // $value = $result[0]['nr_comanda'];
        //Mensagem de encontrado
        $msg['key'] = $key;
        $msg['value'] = 'Comanda aberta, carregando registros.'; //Campo descritivo

        $_SESSION['nr_comanda'] = $key;
      } else {
        //Caso não encontrado
        $msg['error'] = 'Comanda não está aberta:' . htmlentities($key) . ', verificar.';

        $_SESSION['nr_comanda'] = '';
        //resposta para a página chamada
        header('Content-type: application/json');
        echo json_encode($msg);
        exit;
      }
    }
  }
?>


<div class="scroll">
  <ul class="nav nav-tabs" role="tablist">
    <li role="presentation" class="active"><a href="#helper_lista-div" aria-controls="helper_lista-div" role="tab" data-toggle="tab"><span class="fa fa_list"></span> Lista</a></li>
    
    <!-- <li role="presentation" class=""      ><a href="#helper-form-div"  aria-controls="helper-form-div" role="tab" data-toggle="tab"><span class="fa fa-plus"></span> Adicionar</a></li>
    -->
  </ul>

  <div class="tab-content">
    <div role="tabpanel" class="tab-pane fade in active " id="helper_lista-div">
      <table class="table table-bordered table-striped table-responsible table-condensed sortable table-clickable-row" id="helperTable">
       <thead>
          <tr>
              <th width=03%>#</th>
              <th width=05%>Cód.</th>
              <th width=40%>Produto</th>
              <th width=05%>Unid.</th>
              <th width=15%>Qtde</th>
              <th width=15%>R$ Unit.</th>
              <th width=15%>R$ Total</th>        
          </tr>
        </thead>
        <tbody>

          <?php

          /* Se não informou uma comanda válida exibe uma mensagem e sai */
          if(!isset($_SESSION['nr_comanda'])){
            echo "<br><h3>Número da comanda errada ou não está aberta!</h3>";            
          }else if($_SESSION['nr_comanda']==""){
            echo "<br><h3>Número da comanda errada ou não está aberta!</h3>";            
          }else{

          $nr_comanda = $_SESSION['nr_comanda'];

          echo "<br><h3>Carregando registros da Comanda:$nr_comanda</h3>";
          
          $sql = "select c.id, nr_comanda, 
                  c.id_produto, p.cd_produto, p.ds_produto, 
                  c.id_unidade_medida, un.ds_unidade_medida, 
                  c.qt_pedido, c.vl_unitario, (c.qt_pedido * c.vl_unitario) as vl_total_item, 
                  us.ds_nome as ds_garcom, c.ts_alteracao as dh_pedido, c.ds_pedido
                  from erpc_comanda  c
                  join erpc_produtos p on c.id_produto = p.id
                  join erpc_unidade_medida un on c.id_unidade_medida = un.id
                  join erpc_usuarios us on c.id_usuario = us.id
                  where c.id_unidade=$id_unidade and c.nr_comanda=$nr_comanda and c.st_comanda = 1";

          //echo $sql;
          $resultado = mysqli_query($conexao, $sql);
          if ($resultado) {
            if (mysqli_num_rows($resultado)>0) {
              while ($registro = mysqli_fetch_assoc($resultado)){

              $nr_comanda = $registro['nr_comanda'];
              $nr_pedido  = $registro['id'];
              $id_produto = $registro['id_produto'];
              $cd_produto = $registro['cd_produto'];
              $ds_produto = $registro['ds_produto'];
              $id_unidade_medida = $registro['id_unidade_medida'];
              $qt_pedido    = number_format($registro['qt_pedido'], 4, ',', '.');
              $vl_unitario  = number_format($registro['vl_unitario'], 2, ',', '.');
              $vl_total_item  = number_format($registro['vl_total_item'], 2, ',', '.');


            echo "<tr>";

              echo "<td><input type='checkbox' name='id_produto' id='id_produto' value='$id_produto' checked='true'></td>";
              // echo "<td>$nr_comanda</td>";
              // echo "<td>$nr_pedido</td>";
              echo "<td data-comanda_cd_produto>$cd_produto</td>";
              echo "<td data-comanda_ds_produto>$ds_produto</td>";
              echo "<td data-comanda_id_unidade>$id_unidade_medida</td>";
              echo "<td data-comanda_qt_pedido>$qt_pedido</td>";
              echo "<td data-comanda_vl_unitario>$vl_unitario</td>";
              echo "<td data-comanda_vl_total_item>$vl_total_item</td>";

                  // echo "<td class='text-center'><img src='{$ds_path}'/></img>&nbsp;</td>";
                echo "</tr>";
                    }
                  }
                } else {
                  echo '<tr><td colspan="2">Erro! ' . sql_error($conexao) . '</td></tr>';
                }

          }
          ?>
        </tbody>
      </table>
    </div> <!-- tabpanel -->


    </div> <!-- tabpanel -->
  </div> <!-- tab-content -->
</div>
